#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42adde43, "kvmppc_clear_ref_hpte" },
	{ 0x2bb9095f, "radix__flush_pwc_lpid" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x7db3b0e4, "restore_p9_host_os_sprs" },
	{ 0x285efff1, "kvm_free_hpt_cma" },
	{ 0x5bc45d06, "kvmppc_book3s_queue_irqprio" },
	{ 0x33457ad8, "__gfn_to_pfn_memslot" },
	{ 0x6cd1e9a3, "gfn_to_memslot" },
	{ 0xc306e291, "get_user_pages_fast" },
	{ 0x1abb7569, "kvmppc_h_read" },
	{ 0x5fd6bf9a, "kvmppc_do_h_remove" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x5e00aea4, "ucall_norets" },
	{ 0x946a23b5, "default_amr" },
	{ 0xb2ac8a27, "kvm_clear_guest" },
	{ 0x6cf87916, "vmemmap" },
	{ 0x1aa2b3f1, "tlbie_capable" },
	{ 0xa6579f21, "__pud_val_bits" },
	{ 0xbd3a6582, "kvmppc_core_queue_syscall" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xff8f08ef, "idr_find" },
	{ 0x4674ec42, "__pgd_val_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa7cdda4a, "of_node_put" },
	{ 0x5fb8848b, "halt_poll_ns_grow_start" },
	{ 0xea80392f, "on_each_cpu_cond_mask" },
	{ 0xea99595f, "kvmppc_xics_set_mapped" },
	{ 0x82a31c6d, "kvmppc_add_revmap_chain" },
	{ 0x39fd83db, "halt_poll_ns_shrink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x45a9e79b, "trace_raw_output_prep" },
	{ 0xc827fe21, "kvmppc_do_h_enter" },
	{ 0x58b4e35c, "hrtimer_try_to_cancel" },
	{ 0x7f978346, "kvmppc_hv_find_lock_hpte" },
	{ 0x21c6851c, "kvmppc_xive_push_vcpu" },
	{ 0x70b58a33, "kvmppc_invalidate_hpte" },
	{ 0xe9f695bd, "arch_get_random_seed_longs" },
	{ 0xb829ac7f, "vtime_guest_exit" },
	{ 0x5cd4ec74, "kvmppc_h_clear_ref" },
	{ 0xa79a4697, "__trace_trigger_soft_disabled" },
	{ 0x36706cdb, "kvmppc_xive_rearm_escalation" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0x81117221, "do_h_rpt_invalidate_prt" },
	{ 0x26bc41b6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe08d6127, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x99612279, "idr_replace" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x9bdbf045, "prepare_to_wait" },
	{ 0xaaa1dc7, "kvmppc_save_user_regs" },
	{ 0xac430423, "__pmd_val_bits" },
	{ 0x95f4996e, "trace_event_raw_init" },
	{ 0xf53f722e, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x1ae84350, "arch_smp_send_reschedule" },
	{ 0x3ecdaa2b, "__find_linux_pte" },
	{ 0x37a0cba, "kfree" },
	{ 0xc412fdf3, "radix__flush_all_lpid" },
	{ 0x89898459, "kvm_irq_bypass" },
	{ 0xc3e62105, "switch_pmu_to_host" },
	{ 0x2d3be692, "kvmppc_h_get_tce" },
	{ 0x5de36554, "__put_devmap_managed_page_refs" },
	{ 0xc9f69afa, "kvmppc_core_dequeue_dec" },
	{ 0x3c37cbf8, "machine_check_print_event_info" },
	{ 0x2d7558cb, "bpf_trace_run2" },
	{ 0x10e0f124, "__pud_index_size" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x42ae04f6, "kvmppc_h_put_tce_indirect" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x24da55d8, "kmem_cache_create" },
	{ 0x252151d4, "kvmppc_save_current_sprs" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0x697cbbb4, "threads_per_core" },
	{ 0x84daaa7f, "kvmppc_h_enter" },
	{ 0xe56f8058, "kvm_put_kvm" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0xf082be05, "kvmppc_hv_ops" },
	{ 0xe1f40014, "kvm_io_bus_write" },
	{ 0xf45d80f2, "store_vcpu_state" },
	{ 0x4a421bd, "switch_pmu_to_guest" },
	{ 0x4963803, "trace_event_buffer_commit" },
	{ 0x98f1cbaa, "of_find_compatible_node" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x1d73012d, "kvmppc_update_dirty_map" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b68be54, "_raw_spin_lock_irq" },
	{ 0xf6522848, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x4331853e, "anon_inode_getfd" },
	{ 0x6511c518, "kvmppc_core_pending_dec" },
	{ 0x7afe324e, "halt_poll_ns_grow" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xa5d0afc2, "kvmhv_vcpu_entry_p9" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x81d60274, "paca_ptrs" },
	{ 0x6f15d609, "kmalloc_node_trace" },
	{ 0x2409f0c4, "kvmppc_h_put_tce" },
	{ 0x366e1dd3, "idr_get_next" },
	{ 0x2e587e23, "load_vcpu_state" },
	{ 0x618911fc, "numa_node" },
	{ 0xe93ad14a, "__free_pages" },
	{ 0x7c24de1b, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x568136ea, "__tracepoint_ipi_send_cpu" },
	{ 0xd6859189, "__cond_resched_lock" },
	{ 0x18b04363, "kvmppc_core_queue_data_storage" },
	{ 0xeb026141, "kvmppc_core_queue_inst_storage" },
	{ 0x800473f, "__cond_resched" },
	{ 0x983e120e, "kvmppc_load_last_inst" },
	{ 0x7d1ea42c, "idr_remove" },
	{ 0xa90e3b96, "timer_rearm_host_dec" },
	{ 0xaf1e10da, "opal_int_set_mfrr" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0xcfda4cc1, "kvmppc_h_logical_ci_store" },
	{ 0x709aff75, "perf_trace_run_bpf_submit" },
	{ 0x2d220117, "irq_get_default_host" },
	{ 0xfc51b499, "mmu_lpid_bits" },
	{ 0xee51c73b, "kvmppc_core_queue_program" },
	{ 0xb1899e52, "idr_alloc" },
	{ 0xedf8299f, "kvmppc_xive_set_mapped" },
	{ 0xcc38f211, "__srcu_read_lock" },
	{ 0xcf849514, "kvm_vcpu_yield_to" },
	{ 0xb0458a70, "gfn_to_hva_memslot" },
	{ 0x864101eb, "kvmppc_msr_hard_disable_set_facilities" },
	{ 0x9d1cc0f, "kvmppc_h_stuff_tce" },
	{ 0x259248bc, "xa_load" },
	{ 0xb7d17fa0, "pgtable_cache" },
	{ 0x4526dc5c, "bpf_trace_run5" },
	{ 0x5079c9d7, "__pte_index_size" },
	{ 0x450bd37e, "__pmd_index_size" },
	{ 0xc402cac, "replay_system_reset" },
	{ 0xe9b7b1ce, "mem_section" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x147123b, "kvmppc_h_protect" },
	{ 0x44cbafd5, "kmem_cache_free" },
	{ 0xd60d9457, "_raw_spin_unlock_irq" },
	{ 0x24b9f356, "mmu_partition_table_set_entry" },
	{ 0x19b0ef3e, "finish_rcuwait" },
	{ 0x9eca14b, "trace_event_reg" },
	{ 0xbd6c05e7, "mutex_is_locked" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xb9b6a098, "kvmppc_hpte_hv_fault" },
	{ 0xc50f146f, "kvm_is_visible_gfn" },
	{ 0x2cd88f51, "kvm_hv_vm_deactivated" },
	{ 0x47b7a692, "cpu_feature_keys" },
	{ 0xd9660aac, "kvm_alloc_hpt_cma" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x2b4147ed, "kvmppc_hcall_impl_hv_realmode" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xfaca235c, "_raw_spin_trylock" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x461ebfa0, "__copy_tofrom_user" },
	{ 0xb1378c52, "mutex_lock_interruptible" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xa821f4a0, "bpf_trace_run1" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0x9243c937, "idr_destroy" },
	{ 0x5e7173c1, "default_llseek" },
	{ 0x7b783824, "ppc_breakpoint_available" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0xb2aea284, "kvm_put_kvm_no_destroy" },
	{ 0x9b147bc9, "save_p9_host_os_sprs" },
	{ 0xebd1703, "kvmppc_emulate_mmio" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xe3a79495, "synchronize_srcu_expedited" },
	{ 0x59e640c0, "halt_poll_ns" },
	{ 0x3d58cc80, "hrtimer_start_range_ns" },
	{ 0x318d4ea1, "kvmppc_inject_interrupt_hv" },
	{ 0x7e7fdd9b, "kvmppc_xics_clr_mapped" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8b6c761a, "__xive_enabled" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0xd4aeaef3, "decrementers_next_tb" },
	{ 0xb3edf537, "adjust_managed_page_count" },
	{ 0x4248ae3c, "single_task_running" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x9318fc4b, "__cpuhp_setup_state_cpuslocked" },
	{ 0x72cd5f51, "mark_page_dirty" },
	{ 0x385acc7e, "down_read" },
	{ 0x251e1a54, "kvmppc_h_remove" },
	{ 0x123a6aaa, "nonseekable_open" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x2559d24d, "kvmppc_h_set_dabr" },
	{ 0x1b021c88, "kvmppc_xics_rm_complete" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0x9cf070b4, "bpf_trace_run3" },
	{ 0x739f9c52, "__mmap_lock_do_trace_start_locking" },
	{ 0xec356c53, "msr_check_and_set" },
	{ 0xdbb3bbc, "debugfs_create_file" },
	{ 0xee8e400, "kvmppc_h_set_xdabr" },
	{ 0x165fa540, "param_set_int" },
	{ 0x999e8297, "vfree" },
	{ 0x5898c20b, "trace_event_buffer_reserve" },
	{ 0xbff8182c, "plpar_hcall_norets" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x47ab40fa, "is_pnv_opal_msi" },
	{ 0xd8240f0b, "param_ops_bool" },
	{ 0xa601f254, "get_user_pages_fast_only" },
	{ 0xcc44961f, "kvmppc_alloc_lpid" },
	{ 0x1114011d, "threads_shift" },
	{ 0x8dbf5a20, "kvmppc_hv_entry_trampoline" },
	{ 0xd66790b8, "xa_find" },
	{ 0xdf91750b, "kvmppc_host_rm_ops_hv" },
	{ 0x9d04ec95, "kvmppc_xive_xics_hcall" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x3903f171, "__folio_put" },
	{ 0xf59e03b6, "kvmppc_h_clear_mod" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x973c09e5, "__pgd_index_size" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa24660ad, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb848e3f, "__mmap_lock_do_trace_released" },
	{ 0x8d9427f8, "kvmppc_xive_pull_vcpu" },
	{ 0xef76a7bf, "kvm_read_guest" },
	{ 0xab59d373, "kvmppc_free_lpid" },
	{ 0x527e9689, "__srcu_read_unlock" },
	{ 0x1d95901e, "set_page_dirty_lock" },
	{ 0x16618665, "kvmppc_core_queue_machine_check" },
	{ 0x2de5a82c, "kvmppc_sanity_check" },
	{ 0x3a7a96, "h_ipi_redirect" },
	{ 0xd73e9aeb, "vtime_guest_enter" },
	{ 0xd875672a, "kvmppc_set_msr_hv" },
	{ 0xa76a836, "kvmppc_xics_hcall" },
	{ 0xc759ab77, "kvmppc_xive_clr_mapped" },
	{ 0x47602867, "rcuwait_wake_up" },
	{ 0x8a54050b, "__pud_cache_index" },
	{ 0xc44e9a5f, "kvmppc_core_prepare_to_enter" },
	{ 0x62a5feaa, "kvmppc_rtas_hcall" },
	{ 0xb643c250, "xics_wake_cpu" },
	{ 0x494d5d49, "irq_domain_get_irq_data" },
	{ 0xe7f18b3c, "threads_per_subcore" },
	{ 0x47c1408f, "irq_to_desc" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x98dcf321, "kvmppc_h_logical_ci_load" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xcc82477a, "xa_find_after" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0x26d18ab9, "param_ops_int" },
	{ 0x4b6998f2, "param_get_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7dc4a85b, "kvmppc_h_bulk_remove" },
	{ 0xb488588e, "tb_to_ns" },
	{ 0xb49322ae, "generic_file_llseek" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x79d69107, "kvmppc_core_queue_dec" },
	{ 0xfcaf49b0, "trace_handle_return" },
	{ 0x29aa48d0, "radix__flush_tlb_lpid_page" },
	{ 0x28c8a3db, "mmu_psize_defs" },
	{ 0xa18cddf6, "up_read" },
	{ 0x1c7df74c, "kvm_hv_vm_activated" },
	{ 0xacfe997e, "powerpc_firmware_features" },
	{ 0x9514151a, "_mcount" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x39c20a44, "kvm_vcpu_write_guest" },
	{ 0xfe4e2b1a, "kvm_get_kvm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0xcdcebf30, "kmem_cache_destroy" },
	{ 0xa81485e6, "__traceiter_ipi_send_cpu" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe6c81a35, "mtree_load" },
	{ 0xbeb112b1, "vma_kernel_pagesize" },
	{ 0xf4da3546, "kvmppc_init_lpid" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "kvm");


MODULE_INFO(srcversion, "3D358D2E50B892E853D7B77");

MODULE_INFO(suserelease, "SLE15-SP6");
