#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(devm_rc_allocate_device, 0xbf392ed7, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0x4f953b40, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0x73950ba0, "_gpl");
SYMBOL_CRC(rc_free_device, 0x88c78d62, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0x7b361e57, "_gpl");
SYMBOL_CRC(rc_keydown, 0xb449e938, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0xb144c9f3, "_gpl");
SYMBOL_CRC(rc_keyup, 0xc1365cea, "_gpl");
SYMBOL_CRC(rc_map_get, 0x3836ed32, "_gpl");
SYMBOL_CRC(rc_map_register, 0x90138e03, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0x4b2d237f, "_gpl");
SYMBOL_CRC(rc_register_device, 0x8570f455, "_gpl");
SYMBOL_CRC(rc_repeat, 0xe3d811ad, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0x28e6f1e3, "_gpl");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_handler_register, 0xba2aeae0, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0x4f7c2e62, "");
SYMBOL_CRC(ir_raw_event_handle, 0x929d9e03, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0x4a6ada13, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0x79d08d35, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0x885ea092, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0x41612e32, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0x1680c025, "_gpl");
SYMBOL_CRC(lirc_scancode_event, 0x69817e72, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcfc2eabf, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x80d2fd67, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x946a23b5, "default_amr" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x69374106, "dev_set_name" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x38493e4d, "cdev_device_del" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0xba58b7f6, "class_destroy" },
	{ 0x61ba7ad5, "led_trigger_register_simple" },
	{ 0x1057a279, "bsearch" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x4fd42b99, "device_initialize" },
	{ 0x4afaee44, "input_unregister_device" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf7ee0be9, "kobject_get_path" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xca0c6117, "led_trigger_unregister_simple" },
	{ 0x1f314c08, "__wake_up" },
	{ 0xe156bfac, "__module_get" },
	{ 0xbc477030, "get_device" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0xe1c55c, "__dynamic_dev_dbg" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0xa814f5a5, "devres_add" },
	{ 0x5ffb6ca6, "wake_up_process" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x5ba12bc, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xfa165a7d, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x3c839542, "input_register_device" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x14e636af, "put_device" },
	{ 0xbc209916, "_dev_info" },
	{ 0x5de201f0, "module_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xef21c915, "fput" },
	{ 0x14123269, "_dev_err" },
	{ 0x412d1e1f, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x481ad5f, "class_create" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x80dd9cae, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x93ec6a7c, "ida_free" },
	{ 0x2487d743, "class_unregister" },
	{ 0xcc3adeb9, "kthread_stop" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xb1378c52, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x6afab63a, "device_del" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0x794a2918, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x781047c9, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2df50b0, "jiffies" },
	{ 0x8af33e95, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4719805c, "stream_open" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf0ac69d8, "led_trigger_event" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x9514151a, "_mcount" },
	{ 0xd1e8b3f1, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x59f87cb, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0CD95DB32580DA79EB297F7");

MODULE_INFO(suserelease, "SLE15-SP6");
