#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(usbnet_cdc_bind, 0x910631e9, "_gpl");
SYMBOL_CRC(usbnet_cdc_status, 0x34feadde, "_gpl");
SYMBOL_CRC(usbnet_cdc_unbind, 0xb02ff496, "_gpl");
SYMBOL_CRC(usbnet_cdc_update_filter, 0x12cb8f8b, "_gpl");
SYMBOL_CRC(usbnet_cdc_zte_rx_fixup, 0x3c7fbbe2, "_gpl");
SYMBOL_CRC(usbnet_ether_cdc_bind, 0xefb8555a, "_gpl");
SYMBOL_CRC(usbnet_generic_cdc_bind, 0x47f01cb7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0xed491d44, "usb_control_msg" },
	{ 0x27da913f, "usb_driver_release_interface" },
	{ 0xb31e1221, "cdc_parse_cdc_header" },
	{ 0xbc209916, "_dev_info" },
	{ 0x6ce8f3e9, "usb_ifnum_to_if" },
	{ 0xb9892ded, "usb_driver_claim_interface" },
	{ 0xb4877058, "usbnet_get_endpoints" },
	{ 0xe1c55c, "__dynamic_dev_dbg" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xd184fc64, "usb_register_driver" },
	{ 0xdd2200d9, "usb_deregister" },
	{ 0x193e64cb, "usbnet_link_change" },
	{ 0x779bdafb, "__dynamic_netdev_dbg" },
	{ 0xfd8d5201, "netdev_err" },
	{ 0x1febcc56, "usbnet_get_ethernet_addr" },
	{ 0x379f4b2d, "netif_carrier_off" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc530dbe9, "dev_addr_mod" },
	{ 0xda9d8c4, "usbnet_probe" },
	{ 0xbaddd9bb, "usbnet_disconnect" },
	{ 0xbb0f8d17, "usbnet_suspend" },
	{ 0x8f3a637b, "usbnet_resume" },
	{ 0xa85c50a3, "usbnet_get_drvinfo" },
	{ 0xc097e9e7, "usbnet_get_msglevel" },
	{ 0x9aad35ba, "usbnet_set_msglevel" },
	{ 0x52007cf3, "usbnet_nway_reset" },
	{ 0x5481c56, "usbnet_get_link" },
	{ 0x83c035e1, "ethtool_op_get_ts_info" },
	{ 0xda6f02b, "usbnet_get_link_ksettings_internal" },
	{ 0xb2626bec, "usbnet_manage_power" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v04DDp8004d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9031d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9050d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v07B4p0F02d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1004p61AAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v046DpC11Fd*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v1410pB001d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9010d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8195d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8196d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp819Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9011d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v03F0p421Dd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v16D5p650Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p14ACd*dc*dsc*dp*ic*isc*ip*in01*");
MODULE_ALIAS("usb:v0BDAp8153d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v17EFp721Ed*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1003d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1173d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1177d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1181d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1BC7p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp81BAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p15C1d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1143d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1104d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1343d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0061d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0055d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp005Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0069d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc06ipFFin*");

MODULE_INFO(srcversion, "E584F019CFAEE64EB5036C6");

MODULE_INFO(suserelease, "SLE15-SP6");
