#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ath11k_core_alloc, 0x24be7e61, "");
SYMBOL_CRC(ath11k_core_deinit, 0xea7a6aa6, "");
SYMBOL_CRC(ath11k_core_free, 0x6d3f3441, "");
SYMBOL_CRC(ath11k_core_init, 0x3b7fe7d0, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x1088368c, "");
SYMBOL_CRC(ath11k_core_resume, 0xca93816c, "");
SYMBOL_CRC(ath11k_core_resume_early, 0xef794b49, "");
SYMBOL_CRC(ath11k_core_suspend, 0xb5339ad6, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0x7d609c3b, "");
SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xc532d7f9, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x367031a2, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0xe669d82b, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0x8fc6b8ad, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0xbcea656b, "");
SYMBOL_CRC(ath11k_err, 0xe0a478f7, "");
SYMBOL_CRC(ath11k_info, 0x328d855a, "");
SYMBOL_CRC(ath11k_warn, 0x49d76245, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x34788b55, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xd94ab6d1, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0xbda29f78, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0x754d8c54, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0x1f49830d, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x16c3fdfb, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xf18e52d1, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0x4aa90d30, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xd95beac8, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xdffbdeed, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x08922f0b, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0x5deea34e, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x84e8d157, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0x44df5228, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0xe19c0736, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x8e7d0c5a, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xd31b407c, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0x5571a3f1, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x6966637a, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x7a383413, "");
SYMBOL_CRC(ath11k_pcic_read, 0x5ef780bf, "");
SYMBOL_CRC(ath11k_pcic_read32, 0x9e156118, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x4381b312, "");
SYMBOL_CRC(ath11k_pcic_start, 0x7f1e159c, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x716c3ee7, "");
SYMBOL_CRC(ath11k_pcic_write32, 0xbd24c8df, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9b05a742, "ieee80211_gtk_rekey_notify" },
	{ 0x7d9d1706, "device_set_wakeup_enable" },
	{ 0x2f472967, "completion_done" },
	{ 0xab2f62d1, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x582d021f, "ieee80211_connection_loss" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6cf87916, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4600a475, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0x27037088, "_ieee80211_beacon_update_cntdwn" },
	{ 0xff8f08ef, "idr_find" },
	{ 0xac56e92b, "param_ops_uint" },
	{ 0x37f35764, "wait_for_completion_timeout" },
	{ 0xa7cdda4a, "of_node_put" },
	{ 0x511ff6d6, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb12d3795, "firmware_request_nowarn" },
	{ 0x4e68564c, "qmi_handle_init" },
	{ 0x698a1ab, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe67945c1, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x464d5651, "complete" },
	{ 0x3af6d928, "of_address_to_resource" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2c1e731c, "device_get_mac_address" },
	{ 0x5b2f4bd8, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x4141496c, "skb_dequeue" },
	{ 0x26dc1c90, "__init_swait_queue_head" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0xbd0568d4, "ieee80211_free_hw" },
	{ 0x7bdd06ac, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x3095f16d, "ieee80211_iterate_stations_atomic" },
	{ 0x6c65b210, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xf53a6221, "ieee80211_tx_status_ext" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf7f7f58f, "ieee80211_beacon_loss" },
	{ 0x37a0cba, "kfree" },
	{ 0x9058b5a3, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4c19117b, "_raw_read_unlock_bh" },
	{ 0xfad5473b, "_raw_read_lock_bh" },
	{ 0xaaa0b5ae, "thermal_cooling_device_register" },
	{ 0x5b170404, "ieee80211_register_hw" },
	{ 0x3c15b31b, "rhashtable_init" },
	{ 0x36b046c, "ieee80211_restart_hw" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1db8807, "ieee80211_get_hdrlen_from_skb" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x63f263b8, "__netif_napi_del" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x7afd27ab, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa8887e6d, "pskb_expand_head" },
	{ 0xad03f885, "dev_driver_string" },
	{ 0xf55b3b3d, "__arch_hweight16" },
	{ 0xf02389d9, "crypto_destroy_tfm" },
	{ 0x5c67ffb4, "ieee80211_find_sta" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x57c58dcb, "dma_map_page_attrs" },
	{ 0x302a3a4f, "qmi_send_request" },
	{ 0x6bb8639e, "napi_complete_done" },
	{ 0x152db347, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf6522848, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x300c8fb, "ieee80211_tx_status_irqsafe" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x2be0f380, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xea3c2607, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xcb7d7159, "cfg80211_put_bss" },
	{ 0x366e1dd3, "idr_get_next" },
	{ 0x36109130, "qmi_txn_wait" },
	{ 0xbc209916, "_dev_info" },
	{ 0xf1096543, "skb_queue_tail" },
	{ 0x7b8c3429, "ieee80211_get_channel_khz" },
	{ 0xb6ffd0ea, "sysfs_create_link" },
	{ 0x774c2674, "ieee80211_obss_color_collision_notify" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7d1ea42c, "idr_remove" },
	{ 0x72edca1c, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa65972b8, "_memcpy_toio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5bde5e39, "ieee80211_queue_delayed_work" },
	{ 0xcc4a7e26, "__skb_get_hash" },
	{ 0x14123269, "_dev_err" },
	{ 0xeef994e3, "crypto_shash_setkey" },
	{ 0x176d59c9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb072927e, "qmi_txn_cancel" },
	{ 0x6aaf7993, "__of_parse_phandle_with_args" },
	{ 0xb42db6b5, "sysfs_remove_link" },
	{ 0xb1899e52, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x48dcb595, "ieee80211_find_sta_by_ifaddr" },
	{ 0xf3f5531, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa7e3f785, "ieee80211_remain_on_channel_expired" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xf503e44a, "skb_push" },
	{ 0x33edbded, "dma_alloc_attrs" },
	{ 0x97647fcb, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x36c7ac75, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x539efd5b, "ieee80211_wake_queues" },
	{ 0x729ba01d, "of_property_read_string" },
	{ 0xbea9af88, "qmi_txn_init" },
	{ 0xa960c38e, "ieee80211_report_low_ack" },
	{ 0x3462bc6d, "ieee80211_beacon_get_template" },
	{ 0x254c9287, "ioremap" },
	{ 0x5f0a7f6a, "crypto_shash_update" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5595b734, "ieee80211_free_txskb" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x919ea795, "ieee80211_alloc_hw_nm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x7ac62cb2, "cfg80211_get_bss" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0x9243c937, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xcf959f42, "dma_sync_single_for_cpu" },
	{ 0x5978c64a, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xf4681f1d, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x794a2918, "_dev_warn" },
	{ 0xd88d7706, "rht_bucket_nested_insert" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x72b1be37, "ieee80211_beacon_free_ema_list" },
	{ 0x7e42c2a1, "__netdev_alloc_skb" },
	{ 0x1a44079f, "complete_all" },
	{ 0x89f28a97, "rhashtable_destroy" },
	{ 0x49015d1f, "ieee80211_ready_on_channel" },
	{ 0xca2715d8, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d866bc5, "skb_trim" },
	{ 0xfd1806b8, "qmi_handle_release" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x5b8ec6f7, "rhashtable_insert_slow" },
	{ 0x66535b1e, "idr_for_each" },
	{ 0xfc9bec5d, "ieee80211_vif_to_wdev" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb923b3cf, "dma_free_attrs" },
	{ 0x751d62b3, "ieee80211_scan_completed" },
	{ 0x86bc8815, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x810770b5, "crypto_shash_final" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8240f0b, "param_ops_bool" },
	{ 0xe75310e2, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfc185a25, "ieee80211_color_change_finish" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0xf4d9d8d5, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4d68791e, "thermal_cooling_device_unregister" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3b93c14c, "ieee80211_queue_work" },
	{ 0x6e6bdd, "napi_schedule_prep" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd1573eac, "napi_disable" },
	{ 0xad8e488f, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x2e39b2d2, "regulatory_set_wiphy_regd" },
	{ 0x3217c3a3, "__memset32" },
	{ 0x7e4d39d, "cfg80211_chandef_dfs_cac_time" },
	{ 0x4585a4a3, "crypto_alloc_shash" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x23f27782, "ieee80211_beacon_get_template_ema_list" },
	{ 0xa362e046, "qmi_add_lookup" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0x9514151a, "_mcount" },
	{ 0xa228ddb9, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0x6f61778e, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeb8e70fe, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,qmi_helpers");


MODULE_INFO(srcversion, "F7E7A7E2656B01316795390");

MODULE_INFO(suserelease, "SLE15-SP6");
