#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__lbs_cmd, 0x69e182ab, "_gpl");
SYMBOL_CRC(lbs_cmd_copyback, 0xecc5b479, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0xd275b4fb, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x8522bc48, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0xc2e8888d, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xddaf87b4, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xd18e231c, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xe0e1e063, "_gpl");
SYMBOL_CRC(lbs_resume, 0xc2cff3ed, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x60ae2e29, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0xeaf971f5, "_gpl");
SYMBOL_CRC(lbs_suspend, 0xd7b2d3cc, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x805732c9, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0xaa83477c, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xb982a4ac, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x9451d1e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf53dd3ef, "cfg80211_scan_done" },
	{ 0x698a1ab, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x3bead954, "unregister_netdev" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0xdc78d130, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2f6307eb, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a25de7a, "add_wait_queue" },
	{ 0xdedfa42a, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf761eecb, "dev_kfree_skb_irq_reason" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x33ba0aee, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x392da821, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfd8d5201, "netdev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa8887e6d, "pskb_expand_head" },
	{ 0x5ffb6ca6, "wake_up_process" },
	{ 0xc530dbe9, "dev_addr_mod" },
	{ 0xcaf13890, "eth_type_trans" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x709ed9a1, "alloc_netdev_mqs" },
	{ 0x624d80a9, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b68be54, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xb2c87edd, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xcb7d7159, "cfg80211_put_bss" },
	{ 0xfe37136f, "netif_device_detach" },
	{ 0x2ab639af, "netif_device_attach" },
	{ 0x7b8c3429, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x7356110b, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x14123269, "_dev_err" },
	{ 0x97345579, "cfg80211_ibss_joined" },
	{ 0xca4ec4db, "request_firmware_nowait" },
	{ 0x4ffc8ee8, "simple_open" },
	{ 0x176d59c9, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1704010c, "cfg80211_michael_mic_failure" },
	{ 0xf3f5531, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xf503e44a, "skb_push" },
	{ 0xacd50f8c, "debugfs_remove" },
	{ 0xd60d9457, "_raw_spin_unlock_irq" },
	{ 0xec50297b, "register_netdev" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xc4b1b17a, "wiphy_unregister" },
	{ 0x8517daf, "free_netdev" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xcc3adeb9, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x7ac62cb2, "cfg80211_get_bss" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x6fee9f08, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x4b4147b8, "netif_rx" },
	{ 0x2df50b0, "jiffies" },
	{ 0xbf05bceb, "netdev_alert" },
	{ 0x8af33e95, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdbb3bbc, "debugfs_create_file" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x379f4b2d, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xdcd55be5, "netif_carrier_on" },
	{ 0x126c3cf2, "remove_wait_queue" },
	{ 0xc6793e9d, "cfg80211_inform_bss_data" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0xad8e488f, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x26d18ab9, "param_ops_int" },
	{ 0x1c9b9026, "debugfs_create_dir" },
	{ 0xb49322ae, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9b4e456f, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x1a3c19bf, "wiphy_free" },
	{ 0x9514151a, "_mcount" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x95682365, "ieee80211_get_num_supported_channels" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0xc92edd04, "netdev_info" },
	{ 0x897db6ff, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");

MODULE_INFO(suserelease, "SLE15-SP6");
