#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5576f357, "mt76x02_dma_init" },
	{ 0xa6d3b04, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3045a27, "devm_request_threaded_irq" },
	{ 0xc17298b7, "mt76x0_set_sar_specs" },
	{ 0x49116f3e, "pci_choose_state" },
	{ 0xfb7840f8, "mt76x02_set_ethtool_fwver" },
	{ 0x57253a24, "mt76x02_set_key" },
	{ 0xaccaf848, "mt76x02_mcu_parse_response" },
	{ 0x24960098, "mt76_release_buffered_frames" },
	{ 0xdc78d130, "request_firmware" },
	{ 0x637248ab, "mt76_get_txpower" },
	{ 0x2f7283ad, "__pci_register_driver" },
	{ 0xb6eafa19, "mt76x02_dma_disable" },
	{ 0x2f3d6153, "mt76_wake_tx_queue" },
	{ 0xd473e854, "mt76x02e_init_beacon_config" },
	{ 0xfc692679, "mt76_get_antenna" },
	{ 0x68264bfa, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x53d8edf4, "pci_set_power_state" },
	{ 0x2e3be827, "mt76x02_sta_ps" },
	{ 0x68adc7ed, "mt76x02_sta_rate_tbl_update" },
	{ 0x8b1d51f5, "kthread_park" },
	{ 0xe1c55c, "__dynamic_dev_dbg" },
	{ 0xa97f45b, "mt76_dma_cleanup" },
	{ 0xa5770b9c, "pci_unregister_driver" },
	{ 0x782ee382, "mt76x02_reconfig_complete" },
	{ 0x303b7142, "mt76_alloc_device" },
	{ 0x5ffb6ca6, "wake_up_process" },
	{ 0x34fec35b, "mt76x02_set_coverage_class" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xee3d5b06, "mt76x02_update_channel" },
	{ 0xea3c2607, "__napi_schedule" },
	{ 0x74c137a9, "mt76_pci_disable_aspm" },
	{ 0xbc209916, "_dev_info" },
	{ 0x8ea026d0, "mt76x02_configure_filter" },
	{ 0xe462c7de, "mt76_free_device" },
	{ 0xec76268, "mt76x0_chip_onoff" },
	{ 0x2de299c2, "mt76x02_queue_rx_skb" },
	{ 0x740ad3a9, "kthread_unpark" },
	{ 0x34d194a3, "pcim_iomap_regions" },
	{ 0x5bde5e39, "ieee80211_queue_delayed_work" },
	{ 0xdf3a9cc2, "mt76x0_config" },
	{ 0xe18d3eb5, "mt76x0_register_device" },
	{ 0x14123269, "_dev_err" },
	{ 0xff2ae15b, "mt76x02_rx_poll_complete" },
	{ 0x9557a740, "mt76x0_phy_calibrate" },
	{ 0xab9e35b7, "mt76_set_tim" },
	{ 0xf6b818ea, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x97647fcb, "napi_enable" },
	{ 0x8695dc04, "mt76x02_tx" },
	{ 0xaee0315e, "mt76_mmio_init" },
	{ 0x97814cf5, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x302b75b3, "mt76x02_sta_add" },
	{ 0x2a9ba25c, "mt76_unregister_device" },
	{ 0x5eabb387, "pci_restore_state" },
	{ 0xc12b73ea, "mt76x0_mac_stop" },
	{ 0xb0a4224e, "mt76_get_survey" },
	{ 0x794a2918, "_dev_warn" },
	{ 0x469167d5, "ieee80211_emulate_add_chanctx" },
	{ 0x6355d40e, "pci_set_master" },
	{ 0x6fedbfbf, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7fa4fdf8, "mt76x02_set_rts_threshold" },
	{ 0x770e2761, "mt76x02_tx_complete_skb" },
	{ 0xb415a999, "mt76_sta_state" },
	{ 0x9c72810c, "mt76x02_mcu_msg_send" },
	{ 0xb490e0b5, "mt76x0_init_hardware" },
	{ 0x2e1a386, "mt76x02_bss_info_changed" },
	{ 0x4bf68768, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x676d49b5, "mt76x02_add_interface" },
	{ 0xe523aa00, "____mt76_poll_msec" },
	{ 0x16fb5c12, "mt76x02_tx_prepare_skb" },
	{ 0xaf99a77c, "mt76x02_mcu_cleanup" },
	{ 0xfbb8918a, "mt76x02_ampdu_action" },
	{ 0x25d5d195, "mt76x02_conf_tx" },
	{ 0x77994249, "dma_set_mask" },
	{ 0xeccefe61, "mt76_sw_scan" },
	{ 0x11997d6b, "mt76_sta_pre_rcu_remove" },
	{ 0x5ee93b90, "pcim_iomap_table" },
	{ 0x6e6bdd, "napi_schedule_prep" },
	{ 0xd1573eac, "napi_disable" },
	{ 0x5cabea36, "__mt76_poll" },
	{ 0x941e4e5f, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x3dfd94bd, "ieee80211_emulate_remove_chanctx" },
	{ 0x9514151a, "_mcount" },
	{ 0xb325141b, "mt76x02_mac_start" },
	{ 0x5b5aa00a, "mt76x02_remove_interface" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76x0-common,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0B0A074F965F705E2B57676");

MODULE_INFO(suserelease, "SLE15-SP6");
