#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ufshcd_alloc_host, 0xdb60b71c, "");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x0e7a5c07, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x0ad3db18, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xefb0e2cd, "");
SYMBOL_CRC(ufshcd_shutdown, 0x35450ac8, "");
SYMBOL_CRC(ufshcd_system_resume, 0xec4f6f3d, "");
SYMBOL_CRC(ufshcd_system_suspend, 0xa452aa3e, "");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x165b2160, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x67fa4ed8, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x10310f24, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x1ba1e303, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x9d9f2943, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x786a13ca, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xfe41a36c, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x81a2af40, "_gpl");
SYMBOL_CRC(ufshcd_dump_regs, 0xd8afe06b, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xf9922c4c, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0x7724ea86, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x79a4ca05, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x962bdc54, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x29da90d4, "_gpl");
SYMBOL_CRC(ufshcd_init, 0x24b8790c, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xe09b5cba, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xeca07544, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x96eecd09, "_gpl");
SYMBOL_CRC(ufshcd_remove, 0x6c814e8f, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x2ac0f359, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xbaa86283, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x2f282069, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x6cca27f8, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x61d79c11, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x7fe3d0f4, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xcf1782de, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0xbcbb7bf6, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xa8da5ced, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0x9ca3b4e3, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xc9db6aa3, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_nolock, 0x382fe785, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xd6e3bf06, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9af64b04, "scsi_dma_map" },
	{ 0x1d40c00b, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8d87b6b9, "blk_crypto_reprogram_all_keys" },
	{ 0x6cf87916, "vmemmap" },
	{ 0x562bdc50, "__init_rwsem" },
	{ 0x38dfc299, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x38c37346, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x3045a27, "devm_request_threaded_irq" },
	{ 0xac56e92b, "param_ops_uint" },
	{ 0x2cccd384, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x37f35764, "wait_for_completion_timeout" },
	{ 0x96632e33, "devm_kmalloc" },
	{ 0x336ce67f, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xa177f55a, "scsi_autopm_put_device" },
	{ 0x1ae85e8a, "scsi_device_get" },
	{ 0x1098086, "bio_add_pc_page" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7a33381e, "bsg_remove_queue" },
	{ 0x69374106, "dev_set_name" },
	{ 0xe5a84299, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x464d5651, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x33f6b50, "dmam_alloc_attrs" },
	{ 0x45a9e79b, "trace_raw_output_prep" },
	{ 0x501e39ca, "scsi_remove_host" },
	{ 0xf7d66bfe, "blk_rq_append_bio" },
	{ 0xe27be29, "param_get_bool" },
	{ 0x2d42946d, "bpf_trace_run6" },
	{ 0x91a806a5, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x26dc1c90, "__init_swait_queue_head" },
	{ 0xa79a4697, "__trace_trigger_soft_disabled" },
	{ 0x447b34d1, "blk_pm_runtime_init" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x26bc41b6, "trace_event_printf" },
	{ 0x3ae4288b, "scsi_report_bus_reset" },
	{ 0xf64e46ff, "sysfs_remove_groups" },
	{ 0x1776669a, "hwmon_notify_event" },
	{ 0x68f809d3, "up" },
	{ 0xe7beb554, "should_fail" },
	{ 0x4fd42b99, "device_initialize" },
	{ 0x7cb51c99, "sysfs_create_groups" },
	{ 0xd66aa3c7, "dev_pm_opp_add" },
	{ 0x95f4996e, "trace_event_raw_init" },
	{ 0xf53f722e, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7fc239f4, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf83d0622, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2d7558cb, "bpf_trace_run2" },
	{ 0xad06b356, "__scsi_iterate_devices" },
	{ 0x24da55d8, "kmem_cache_create" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xbc477030, "get_device" },
	{ 0x8d6dc201, "ppc64_caches" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xe1c55c, "__dynamic_dev_dbg" },
	{ 0xa34ea576, "trace_print_hex_seq" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x5c4572a2, "mempool_free" },
	{ 0xa796d4c, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc23acde7, "blk_mq_alloc_tag_set" },
	{ 0x84fd6fb5, "scsi_device_set_state" },
	{ 0xbcc12d18, "devfreq_add_device" },
	{ 0xad03f885, "dev_driver_string" },
	{ 0x4963803, "trace_event_buffer_commit" },
	{ 0xd653b126, "sched_clock" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0xdd56c5da, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b68be54, "_raw_spin_lock_irq" },
	{ 0x31e12ec0, "mempool_create" },
	{ 0x92aaed32, "scsi_register_driver" },
	{ 0xede3a9ee, "blk_crypto_register" },
	{ 0xf6522848, "___ratelimit" },
	{ 0xcd70917c, "param_get_uint" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x14e636af, "put_device" },
	{ 0x8ff6b174, "mempool_alloc" },
	{ 0x4a603329, "blk_mq_free_request" },
	{ 0x7b7a6e73, "device_property_read_u32_array" },
	{ 0xe93ad14a, "__free_pages" },
	{ 0x7c24de1b, "kmem_cache_alloc" },
	{ 0xbc209916, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb50a0289, "scsi_device_put" },
	{ 0x7356110b, "device_create_file" },
	{ 0x54e00dbb, "debugfs_attr_read" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xc675f697, "bio_put" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x709aff75, "perf_trace_run_bpf_submit" },
	{ 0x6a8efee5, "down_write" },
	{ 0xd2ccae64, "devm_kfree" },
	{ 0x14123269, "_dev_err" },
	{ 0x53e91d48, "blk_queue_update_dma_alignment" },
	{ 0x707368a3, "devfreq_remove_device" },
	{ 0x549c631a, "scsi_host_put" },
	{ 0x897423e6, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x91c408cd, "mempool_resize" },
	{ 0x412d1e1f, "device_add" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb027f899, "blk_execute_rq_nowait" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x447ea64a, "simple_attr_release" },
	{ 0xac544620, "hwmon_device_register_with_info" },
	{ 0x30226c3d, "down" },
	{ 0x4526dc5c, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa1e10c9e, "dev_pm_opp_remove" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x1c878944, "sdev_prefix_printk" },
	{ 0x44cbafd5, "kmem_cache_free" },
	{ 0x7aa389bb, "scsi_scan_host" },
	{ 0x5792f848, "strlcpy" },
	{ 0xacd50f8c, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0xd60d9457, "_raw_spin_unlock_irq" },
	{ 0x9eca14b, "trace_event_reg" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xbb121152, "device_link_remove" },
	{ 0x46483d66, "param_set_bool" },
	{ 0xfe317297, "blk_mq_alloc_request" },
	{ 0x4d6d97c5, "driver_unregister" },
	{ 0x47373cd4, "blk_queue_update_dma_pad" },
	{ 0xfc9b2408, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xf60e0868, "blk_put_queue" },
	{ 0x6afab63a, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x552b820b, "dmam_free_coherent" },
	{ 0xdcb764ad, "memset" },
	{ 0x794a2918, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x86b84820, "scsi_is_host_device" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x43c181d1, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x309e9cb3, "blk_mq_init_queue" },
	{ 0xb656632d, "blk_mq_unique_tag" },
	{ 0x731aca76, "bpf_trace_run10" },
	{ 0xa84d9fb8, "scsi_device_quiesce" },
	{ 0x385acc7e, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a0982cf, "scsi_autopm_get_device" },
	{ 0x2df50b0, "jiffies" },
	{ 0x6e10f75e, "dma_set_coherent_mask" },
	{ 0x286842b1, "scsi_print_command" },
	{ 0xcbf152fb, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4abb4627, "_dev_notice" },
	{ 0x1a07aadb, "pm_runtime_forbid" },
	{ 0xdbb3bbc, "debugfs_create_file" },
	{ 0x913e8db9, "param_set_uint_minmax" },
	{ 0x3f0a14dd, "pm_runtime_allow" },
	{ 0x5898c20b, "trace_event_buffer_reserve" },
	{ 0xaa1116f3, "__pm_runtime_resume" },
	{ 0xcc56db6, "devfreq_suspend_device" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9ac987a, "blk_mq_destroy_queue" },
	{ 0xe80719ba, "scsi_execute_cmd" },
	{ 0xa9ea970a, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x24552975, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x62fd8142, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xaffcfc70, "devm_blk_crypto_profile_init" },
	{ 0x4c12add0, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf0ab90d, "blk_mq_tagset_busy_iter" },
	{ 0x747b5613, "scsi_done" },
	{ 0x650f2e3a, "single_release" },
	{ 0x6459985e, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x77994249, "dma_set_mask" },
	{ 0xe72c0af5, "sbitmap_weight" },
	{ 0xa7bbe9e8, "dma_unmap_sg_attrs" },
	{ 0x6c2f65ed, "setup_fault_attr" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xabfc86f3, "scsi_remove_device" },
	{ 0xd407019, "scsi_block_requests" },
	{ 0xe97f9581, "scsi_add_host_with_dma" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb15c50c, "single_open" },
	{ 0xcc707b16, "scsi_host_alloc" },
	{ 0x42294795, "__scsi_add_device" },
	{ 0x15fe2ca0, "devfreq_resume_device" },
	{ 0x1c9b9026, "debugfs_create_dir" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0xc0b2e197, "device_link_add" },
	{ 0x6ef50a9a, "bio_alloc_bioset" },
	{ 0x815588a6, "clk_enable" },
	{ 0xfcaf49b0, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xa18cddf6, "up_read" },
	{ 0x9514151a, "_mcount" },
	{ 0xa3ec524e, "scsi_change_queue_depth" },
	{ 0xdc8751fe, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0x897db6ff, "device_remove_file" },
	{ 0x78c35ba9, "fs_bio_set" },
	{ 0xcdcebf30, "kmem_cache_destroy" },
	{ 0x619f1be0, "dma_map_sg_attrs" },
	{ 0x1a9d6bbd, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "456C0EBAE6FC8960C8F52E2");

MODULE_INFO(suserelease, "SLE15-SP6");
