#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(chacha20poly1305_decrypt, 0xc20134e7, "");
SYMBOL_CRC(chacha20poly1305_decrypt_sg_inplace, 0x916491ac, "");
SYMBOL_CRC(chacha20poly1305_encrypt, 0x147c3f2e, "");
SYMBOL_CRC(chacha20poly1305_encrypt_sg_inplace, 0x6c713da5, "");
SYMBOL_CRC(xchacha20poly1305_decrypt, 0x521c7102, "");
SYMBOL_CRC(xchacha20poly1305_encrypt, 0xce15a526, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x220b49ab, "chacha_crypt_arch" },
	{ 0x595d0946, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xf3945fcd, "poly1305_final_generic" },
	{ 0xde3dac20, "sg_miter_next" },
	{ 0xfa224ce5, "sg_miter_stop" },
	{ 0x1c3e02e4, "memcmp" },
	{  0xa2e46, "sg_miter_start" },
	{ 0xdcb764ad, "memset" },
	{ 0xd7219de2, "poly1305_update_generic" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xdd8ec6bd, "hchacha_block_arch" },
	{ 0xdc94f829, "chacha_init_arch" },
	{ 0x31d4e581, "poly1305_init_generic" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0x9514151a, "_mcount" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "chacha-p10-crypto,libpoly1305");


MODULE_INFO(srcversion, "2092C692966CE7EE84C2C07");

MODULE_INFO(suserelease, "SLE15-SP6");
