#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xc3c98c26, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xe63151fd, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x5f098500, "");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x680433de, "");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xf1eb64eb, "");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x1a666508, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xd93a0518, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x6e2139a0, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x355ec944, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xaa572a50, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x1d7320f7, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xf43ac8d9, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x6d4dc266, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xcc61f2a3, "_gpl");
SYMBOL_CRC(ip_tunnel_init_net, 0x3e4230c1, "_gpl");
SYMBOL_CRC(ip_tunnel_lookup, 0x895cba61, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xa9f5bc5a, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xe9a3dced, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x27b2d934, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xd359cd44, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x0499cbde, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x291103b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0xc7ad5a2f, "iptun_encaps" },
	{ 0x2df50b0, "jiffies" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x709ed9a1, "alloc_netdev_mqs" },
	{ 0x7854a923, "register_netdevice" },
	{ 0x8517daf, "free_netdev" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc79538f0, "unregister_netdevice_queue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x397faa41, "gro_cells_init" },
	{ 0xd3e68241, "__dev_get_by_index" },
	{ 0x91794da, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xce0f3b6f, "ip_route_output_flow" },
	{ 0x972f862c, "dst_release" },
	{ 0xc530dbe9, "dev_addr_mod" },
	{ 0xb9a6a06b, "netdev_state_change" },
	{ 0xf58b5bcc, "ns_capable" },
	{ 0x6f10d50c, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x4f056229, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x53ff9ccc, "icmp_ndo_send" },
	{ 0x6b85e22c, "icmpv6_ndo_send" },
	{ 0xf3f5531, "kfree_skb_reason" },
	{ 0xcc4a7e26, "__skb_get_hash" },
	{ 0xc432712a, "dst_cache_get_ip4" },
	{ 0xe5799722, "dst_cache_set_ip4" },
	{ 0xa49ad873, "iptunnel_xmit" },
	{ 0xa8887e6d, "pskb_expand_head" },
	{ 0x365dd975, "skb_copy_bits" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x78bbd226, "skb_scrub_packet" },
	{ 0x5a134371, "gro_cells_receive" },
	{ 0x2bfaa833, "__pskb_pull_tail" },
	{ 0xcaf13890, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf02120e8, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "775E0393F91A520E1599549");

MODULE_INFO(suserelease, "SLE15-SP6");
