#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0xd184fc64, "usb_register_driver" },
	{ 0x19af23cb, "usb_submit_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7b361e57, "rc_g_keycode_from_table" },
	{ 0x2df50b0, "jiffies" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xb449e938, "rc_keydown" },
	{ 0x781047c9, "input_event" },
	{ 0xe1c55c, "__dynamic_dev_dbg" },
	{ 0xc1365cea, "rc_keyup" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x794a2918, "_dev_warn" },
	{ 0x92997ed8, "_printk" },
	{ 0x8e27584b, "usb_kill_urb" },
	{ 0x464d5651, "complete" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0xf6522848, "___ratelimit" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5c01e695, "wait_for_completion_interruptible" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xb1378c52, "mutex_lock_interruptible" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xdd64e639, "strscpy" },
	{ 0xbc209916, "_dev_info" },
	{ 0x98cf60b3, "strlen" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x995a9009, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xda80128f, "mutex_trylock" },
	{ 0xdd2200d9, "usb_deregister" },
	{ 0xc7d97b33, "usb_get_dev" },
	{ 0x6ce8f3e9, "usb_ifnum_to_if" },
	{ 0xb975f052, "usb_alloc_urb" },
	{ 0xee746351, "usb_put_dev" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x26dc1c90, "__init_swait_queue_head" },
	{ 0xcfc2eabf, "input_allocate_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x3c839542, "input_register_device" },
	{ 0x73950ba0, "rc_allocate_device" },
	{ 0x8570f455, "rc_register_device" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb63ebb9, "input_set_abs_params" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1cc0d5ed, "sysfs_create_group" },
	{ 0xc53a2abb, "usb_register_dev" },
	{ 0x14123269, "_dev_err" },
	{ 0x5ba12bc, "input_free_device" },
	{ 0x4afaee44, "input_unregister_device" },
	{ 0x88c78d62, "rc_free_device" },
	{ 0x2ef14b58, "usb_find_interface" },
	{ 0x612f8f79, "sysfs_remove_group" },
	{ 0x28e6f1e3, "rc_unregister_device" },
	{ 0x45b440f9, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x851eed0, "noop_llseek" },
	{ 0x26d18ab9, "param_ops_int" },
	{ 0xd8240f0b, "param_ops_bool" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A3DCA9B273EA8D0AB2ACB45");

MODULE_INFO(suserelease, "SLE15-SP6");
