#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba3a4111, "pin_user_pages_fast" },
	{ 0xa6d3b04, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x946a23b5, "default_amr" },
	{ 0xc914f8a1, "pci_cfg_access_unlock" },
	{ 0xe024864e, "unpin_user_pages_dirty_lock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3e0a7209, "pci_request_selected_regions" },
	{ 0x94d8144b, "pci_release_selected_regions" },
	{ 0x246a5f1e, "pci_enable_device_mem" },
	{ 0x4cbbbcbc, "pci_iomap" },
	{ 0xda22ab5e, "pci_alloc_irq_vectors" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xd15cb38c, "kill_fasync" },
	{ 0x7bdd06ac, "dma_unmap_page_attrs" },
	{ 0xba58b7f6, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x2f7283ad, "__pci_register_driver" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x4829a47e, "memcpy" },
	{ 0xac84cc83, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x508e5d5e, "pci_sriov_get_totalvfs" },
	{ 0xf83d0622, "seq_lseek" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1f314c08, "__wake_up" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0xe1c55c, "__dynamic_dev_dbg" },
	{ 0xa5770b9c, "pci_unregister_driver" },
	{ 0xfe423ff, "pci_cfg_access_lock" },
	{ 0x5ffb6ca6, "wake_up_process" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x57c58dcb, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf6522848, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x678c60e, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd06a9627, "pci_set_pcie_reset_state" },
	{ 0xbc209916, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x481fe686, "pci_select_bars" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6e79ad7a, "cdev_add" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x14123269, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xeaadf13d, "kill_pid" },
	{ 0x481ad5f, "class_create" },
	{ 0x33edbded, "dma_alloc_attrs" },
	{ 0xacd50f8c, "debugfs_remove" },
	{ 0x9631f94, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0xcc3adeb9, "kthread_stop" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x56f339bd, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5eabb387, "pci_restore_state" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0x794a2918, "_dev_warn" },
	{ 0x6355d40e, "pci_set_master" },
	{ 0x43c181d1, "debugfs_create_u32" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x6dc2605a, "pci_reset_function" },
	{ 0x6e10f75e, "dma_set_coherent_mask" },
	{ 0x8af33e95, "kthread_create_on_node" },
	{ 0xcbf152fb, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca3ba81, "device_create_with_groups" },
	{ 0xdbb3bbc, "debugfs_create_file" },
	{ 0xb923b3cf, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x6070c632, "device_destroy" },
	{ 0x62fd8142, "seq_printf" },
	{ 0xe2e3ba00, "pci_disable_sriov" },
	{ 0x19cd77b9, "pci_disable_device" },
	{ 0x2b30866e, "seq_puts" },
	{ 0x650f2e3a, "single_release" },
	{ 0x77994249, "dma_set_mask" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xb15c50c, "single_open" },
	{ 0x1c9b9026, "debugfs_create_dir" },
	{ 0xee7b21b9, "pci_free_irq_vectors" },
	{ 0xe9288bb5, "pci_enable_sriov" },
	{ 0xbedef25a, "put_pid" },
	{ 0x9514151a, "_mcount" },
	{ 0xf9a482f9, "msleep" },
	{ 0x59f87cb, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0xa0e81b91, "cdev_del" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000044Bbc12sc00i00*");

MODULE_INFO(srcversion, "B2AC4D11D78DF56FA10D583");

MODULE_INFO(suserelease, "SLE15-SP6");
