#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nanddev_cleanup, 0xb6c0fb65, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0xb193a543, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0x5d6af559, "_gpl");
SYMBOL_CRC(nanddev_init, 0x5c90238b, "_gpl");
SYMBOL_CRC(nanddev_isbad, 0xc4ba8b4f, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0xe55cbec9, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x2d19180e, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0x76a05310, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xcc171858, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0x6e013430, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0xfd53b424, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x77b27941, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x47038406, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0xc7cdce19, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xcacadf45, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x241ee9cf, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0x6180c38b, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xb3b4f4d7, "");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0xc35fdc18, "");
SYMBOL_CRC(nand_ecc_init_ctx, 0x563d4003, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0x1776dab2, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0xc70ad35d, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0xfaafd0a8, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x676d98d2, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x17d25ec0, "");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x15321322, "");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x07bcb3fe, "_gpl");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0x17e7dcc3, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x7a99bb24, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0x02748c25, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x6f756318, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x6b0823bb, "_gpl");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0xb5a1a966, "_gpl");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0xc0d8d3a7, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0xd528ae09, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0x5c4d35fd, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x48b16f46, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0x78496e45, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xc0a1a7be, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0xe65d850f, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x99a687bd, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0x861d8764, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0xa14dadf5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x46c07132, "platform_device_put" },
	{ 0xa7cdda4a, "of_node_put" },
	{ 0x279dd750, "of_property_read_variable_u32_array" },
	{ 0xa0ceff93, "of_find_device_by_node" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4be3aa3e, "mtd_ooblayout_set_eccbytes" },
	{ 0xbc477030, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x14e636af, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x6aaf7993, "__of_parse_phandle_with_args" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x729ba01d, "of_property_read_string" },
	{ 0x9169e0e9, "of_find_property" },
	{ 0xd3e3481, "bch_free" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8158772, "mtd_ooblayout_count_eccbytes" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xcf952f2a, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0x9514151a, "_mcount" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "8F061617B43D7186BF17431");

MODULE_INFO(suserelease, "SLE15-SP6");
