#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0xd184fc64, "usb_register_driver" },
	{ 0xcb4ca48b, "wait_for_completion" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4829a47e, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0xdd2200d9, "usb_deregister" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x8e40b4e0, "try_wait_for_completion" },
	{ 0x779bdafb, "__dynamic_netdev_dbg" },
	{ 0x19af23cb, "usb_submit_urb" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xb975f052, "usb_alloc_urb" },
	{ 0x26dc1c90, "__init_swait_queue_head" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37a0cba, "kfree" },
	{ 0x995a9009, "usb_free_urb" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2df50b0, "jiffies" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1a44079f, "complete_all" },
	{ 0x6fee9f08, "netif_tx_wake_queue" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xc11a90d7, "__orinoco_ev_info" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xedd5c6e3, "__orinoco_ev_rx" },
	{ 0xfaaf073, "usb_unlink_urb" },
	{ 0xe1c55c, "__dynamic_dev_dbg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x8e27584b, "usb_kill_urb" },
	{ 0xed491d44, "usb_control_msg" },
	{ 0x88206502, "alloc_orinocodev" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0xdc78d130, "request_firmware" },
	{ 0x2727011d, "orinoco_init" },
	{ 0xdfd94215, "orinoco_if_add" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x10666afc, "orinoco_if_del" },
	{ 0xc4b1b17a, "wiphy_unregister" },
	{ 0x2b2bcdaa, "free_orinocodev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x698a1ab, "consume_skb" },
	{ 0x34ba80af, "orinoco_process_xmit_skb" },
	{ 0xdcb764ad, "memset" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xcaf459b2, "orinoco_open" },
	{ 0x7304d209, "orinoco_stop" },
	{ 0x14c2a709, "orinoco_set_multicast_list" },
	{ 0xe7993287, "eth_mac_addr" },
	{ 0xdedfa42a, "eth_validate_addr" },
	{ 0x5f818085, "orinoco_change_mtu" },
	{ 0x8b6db1fc, "orinoco_tx_timeout" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "usbcore,orinoco,cfg80211");

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DBB96B4E0FE3747A1B8B1B6");

MODULE_INFO(suserelease, "SLE15-SP6");
