#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_register_localport, 0x5f6c962a, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78b92427, "nvme_remove_admin_tag_set" },
	{ 0x267884e8, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x80d2fd67, "ida_alloc_range" },
	{ 0x6cf87916, "vmemmap" },
	{ 0x79283cb, "nvme_uninit_ctrl" },
	{ 0x2b98c1ba, "ida_destroy" },
	{ 0xb1615a0, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x464d5651, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb2702180, "nvmf_free_options" },
	{ 0xc9bc4965, "nvmf_subsystem_reset" },
	{ 0xf40e2cb, "blk_mq_tagset_wait_completed_request" },
	{ 0x26dc1c90, "__init_swait_queue_head" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0xaabd7213, "nvme_stop_keep_alive" },
	{ 0xed3e560b, "blk_mq_complete_request_remote" },
	{ 0x7bdd06ac, "dma_unmap_page_attrs" },
	{ 0xaa77778c, "nvme_setup_cmd" },
	{ 0xc0d0da55, "nvme_start_ctrl" },
	{ 0xd22da9a3, "dma_sync_single_for_device" },
	{ 0xa2382848, "nvme_alloc_admin_tag_set" },
	{ 0x1583e82b, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xfd697e46, "nvmf_reg_read32" },
	{ 0x1f314c08, "__wake_up" },
	{ 0xf485049e, "nvme_delete_ctrl" },
	{ 0xbc477030, "get_device" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0xe90b2d8e, "nvme_should_fail" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xad03f885, "dev_driver_string" },
	{ 0xb6b33dfe, "nvmf_get_address" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x57c58dcb, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b68be54, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x433e2587, "nvme_remove_io_tag_set" },
	{ 0xa8b0ee6e, "nvme_cleanup_cmd" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x381c72d, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4e2d7d68, "nvmf_unregister_transport" },
	{ 0xde98d43c, "blkcg_get_fc_appid" },
	{ 0x14e636af, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x1f4e6dd8, "nvme_change_ctrl_state" },
	{ 0xbc209916, "_dev_info" },
	{ 0x289b48ca, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x4814bf04, "nvme_alloc_io_tag_set" },
	{ 0xeff1f5c6, "nvme_fail_nonready_command" },
	{ 0x8178f672, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x14123269, "_dev_err" },
	{ 0xb0b68437, "device_create" },
	{ 0x1cc3ab2d, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0xd60d9457, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0xa7de9bc7, "__blk_rq_map_sg" },
	{ 0x9166fada, "strncpy" },
	{ 0x93ec6a7c, "ida_free" },
	{ 0x1e9e9767, "nvmf_reg_read64" },
	{ 0x2487d743, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x4f57d317, "nvmf_connect_admin_queue" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x27ebe5de, "nvme_enable_ctrl" },
	{ 0xa5486d0d, "nvme_unquiesce_admin_queue" },
	{ 0xcf959f42, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x794a2918, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcb4ca48b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2df50b0, "jiffies" },
	{ 0x9c63c948, "nvme_unquiesce_io_queues" },
	{ 0xc9bd6a71, "blk_mq_update_nr_hw_queues" },
	{ 0xc2843c2, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeea529b3, "nvmf_should_reconnect" },
	{ 0x76c2e8eb, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6070c632, "device_destroy" },
	{ 0x61717dfa, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x1715a0a4, "nvmf_register_transport" },
	{ 0x505d1e93, "blk_mq_start_request" },
	{ 0xd995ba2c, "nvme_quiesce_io_queues" },
	{ 0xf0ab90d, "blk_mq_tagset_busy_iter" },
	{ 0x553bf608, "nvme_stop_ctrl" },
	{ 0xa7bbe9e8, "dma_unmap_sg_attrs" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xd19edab2, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xc8c78558, "nvme_reset_ctrl" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x6dd5a6de, "nvme_quiesce_admin_queue" },
	{ 0x9514151a, "_mcount" },
	{ 0xd1e8b3f1, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x961ed26f, "__nvme_check_ready" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0x619f1be0, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "0CA7F9176EA15259A86B0CB");

MODULE_INFO(suserelease, "SLE15-SP6");
