#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31dca9fd, "crypto_alloc_ahash" },
	{ 0x80d2fd67, "ida_alloc_range" },
	{ 0x6cf87916, "vmemmap" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2b98c1ba, "ida_destroy" },
	{ 0x2108e1ce, "tls_alert_recv" },
	{ 0x48b9d35c, "ip_sock_set_tos" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd6807fc6, "nvmet_req_complete" },
	{ 0xdb84fc13, "_raw_write_lock_bh" },
	{ 0xe9545cb4, "kernel_bind" },
	{ 0x1b1e6715, "sock_create" },
	{ 0x6feda904, "tls_server_hello_psk" },
	{ 0xb8df6ce, "tls_handshake_cancel" },
	{ 0x1665dd28, "tls_get_record_type" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c19117b, "_raw_read_unlock_bh" },
	{ 0xfad5473b, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4df7f484, "_raw_write_unlock_bh" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x5b31c234, "kernel_accept" },
	{ 0xf291c20b, "kernel_recvmsg" },
	{ 0xc9179014, "sock_alloc_file" },
	{ 0xc3a076ac, "sock_set_priority" },
	{ 0xf02389d9, "crypto_destroy_tfm" },
	{ 0x98499bd4, "nvmet_sq_destroy" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x4f66623c, "nvmet_unregister_transport" },
	{ 0x2a8a0b96, "page_frag_alloc_align" },
	{ 0x36de7a9c, "nvmet_req_init" },
	{ 0xef21c915, "fput" },
	{ 0x5637e0f7, "__traceiter_sk_data_ready" },
	{ 0x4f056229, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x7cc7047a, "kernel_getpeername" },
	{ 0x51ff8f51, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd4832cf2, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x77bba5c7, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x93ec6a7c, "ida_free" },
	{ 0x946ec2f7, "inet_pton_with_scope" },
	{ 0xe2029b7a, "sock_sendmsg" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xd1d199fc, "sock_set_reuseaddr" },
	{ 0xdcb764ad, "memset" },
	{ 0x177338a0, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xea30f149, "crypto_ahash_digest" },
	{ 0x2df50b0, "jiffies" },
	{ 0xb4537de5, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x89c06ef9, "kernel_listen" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7122ce8a, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6cb3dde6, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0x7c6a596e, "sock_release" },
	{ 0x3baf43e6, "tcp_sock_set_nodelay" },
	{ 0xfd7f6f21, "nvmet_ctrl_fatal_error" },
	{ 0xcc099e8a, "nvmet_req_uninit" },
	{ 0xcea4a1a6, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x26d18ab9, "param_ops_int" },
	{ 0x4b6998f2, "param_get_int" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x8149412a, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x9514151a, "_mcount" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f0f2394, "kmalloc_caches" },
	{ 0x6615da9f, "sock_no_linger" },
	{ 0x750a0bf, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "3687D85C497940E1D3EF31A");

MODULE_INFO(suserelease, "SLE15-SP6");
